Subject: RE: pipe strangeness in b19
From: [email-masked] (Paul At Home.)

3 Mar 1998 09:40:37 -0800
Message-ID: <01BD467B.AE48F2E0.cygnus.gnu-win32@HOME>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 7bit
To: "[email-masked]'" <[email-masked]>

      Sergey Okhapkin fixed most of pipe problems. 
      After I replaced cygwinb19.dll with his coolview
      (see http://www.lexa.ru/sos) perl passed much 
      more tests ;)

      But in my NT 4.0 environment perl still fails to 
      capture SIGPIPE. I'l be glad to know what will 
      happen in your environment. 

Rgds.Paul.

----------
From: 	Walt Buehring
Sent: 	Saturday, February 28, 1998 10:31 AM
To: 	[email-masked]
Subject: 	pipe strangeness in b19

For the most part b19 is just spiffaroony.

I have noticed one problem in rebuilding apps that worked in b18.
While porting imake, I found that "fdopen" on a descriptor returned by
"pipe" failed.

Then later, while building perl (some significant finagling required),
I found that "make test" hangs forever on the "io/pipe" test.

Still investigating the nature of the problem, but obviously "pipe" is
the common thread.  Just a heads up for everyone.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".